CONTEXT(1)

NAME
context - front end to the new ConTeXt typesetting system

SYNOPSIS
context [ OPTION ... ] FILE [ ... ]

DESCRIPTION

context, a texlua(1) script, is the command-line front end to the new version of the ConTeXt typesetting system, an extensive macro package built on the tex(1) family of typesetting programs. context provides several facilties:

•   Process a ConTeXt source file, performing as many runs as necessary of luatex(1). Options control the output format, the pages to process, paper size, and so forth.

•   Create new ConTeXt formats, useful during installation.

•   Post-process existing PDF files, including merging multiple files, and extracting and rearranging pages within a file, similar to the facilities provided for PostScript files by psnup(1) or for PDF files by pdftk(1).

OPTIONS

All switches should always be specified in full. With no options, context assumes that the file on the command line is a ConTeXt source file, i.e. a TeX file in the ConTeXt dialect, and produces a PDF file using the source file.

--run
    process (one or more) files (default action)

--make
    create context formats

--ctx=name
    use ctx file (process management specification)

--interface
    use specified user interface (default: en)

--autopdf
    close pdf file in viewer and start pdf viewer afterwards

--purge(all)
    purge files either or not after a run (--pattern=...)

--usemodule=list
    load the given module or style, normally part o fthe distribution

--environment=list
    load the given environment file first (document styles)

--mode=list
    enable given the modes (conditional processing in styles)

--path=list
    also consult the given paths when files are looked for

--arguments=list
    set variables that can be consulted during a run (key/value pairs)

--randomseed=number
    set the randomseed

--result=name
    rename the resulting output to the given name

--trackers=list
    set tracker variables (show list with --showtrackers)

--directives=list
    set directive variables (show list with --showdirectives)

--silent=list
    disable logcatgories (show list with --showlogcategories)

--noconsole
    disable logging to the console (logfile only)

--purgeresult
    purge result file before run

--forcexml
    force xml stub (optional flag: --mkii)

--forcecld
    force cld (context lua document) stub

--arrange
    run extra imposition pass, given that the style sets up imposition

--noarrange
    ignore imposition specifications in the style

--once
    only run once (no multipass data file is produced)

--batchmode
    run without stopping and don't show messages on the console

--nonstopmode
    run without stopping

--generate
    generate file database etc. (as mtxrun does)

--paranoid
    don't descend to .. and ../..

--version
    report installed context version

--expert
    show expert options

INITIALIZATION

The context command is just a stub that runs the larger mtxrun script, which is a scripting framework written for texlua(1) that supports loading of extra modules, of which context is one. The implementation actually resides in a file named mtx-context.lua deep within the TDS structure. If context complains about Unknown script 'context', this can usually be fixed by executing mtxrun --generate on the command line: this command regenerates the database that mtxrun uses to find its extra modules.

SEE ALSO

tex(1), luatex(1), texlua(1), psnup(1), pdftk(1).

BUGS

This manpage is horribly incomplete.

AUTHOR
This partial manpage was written by Taco Hoekwater <taco@metatex.org>. It is based on the --help output of context.